%define name roundcube-plugin-message_highlight
%define version 1.0.1
%define release 2
Summary: Provides context Menu to Roundcube.
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
#https://github.com/corbosman/message_highlight and https://github.com/texxasrulez/message_highlight
Source: roundcube-message_highlight-%{version}.tar.gz
Patch0: pr27.patch
License: GNU General Public License Version 3+
Group: SMEserver/addon
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
BuildArchitectures: noarch
BuildRequires: smeserver-devtools
Requires: smeserver-release >= 11.0
AutoReqProv: no

%description
Roundcube Webmail is a browser-based multilingual IMAP client with an
application-like user interface.  It provides full functionality
expected from an e-mail client, including MIME support, address book,
folder manipulation and message filters.

With this plugin you can colorize the message index rows based on specific criteria like sender, recipient and subject.

%changelog
* Fri Sep 13 2024 Jean-Philippe Pialasse <jpp@koozali.org> 1.0.1-2.sme
- apply pull request to fix PHP Warning 
  https://github.com/corbosman/message_highlight/pull/27

* Wed Sep 11 2024 Jean-Philippe Pialasse <jpp@koozali.org> 1.0.1-1.sme
- initial release for SME 11

%prep

%setup -q -n message_highlight-%{version}
%patch0 -p1

%build
#perl createlinks
#pr 27

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/roundcubemail/plugins/message_highlight/
( find . -depth -print | cpio -dump $RPM_BUILD_ROOT/usr/share/roundcubemail/plugins/message_highlight/)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
> %{name}-%{version}-filelist

%clean
cd ..
rm -rf roundcube-message_highlight-%{version}

%pre

%preun

%post

%postun
#uninstall
%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
